"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CheckIfPhoneNumberIsOptedOut_1 = require("../model/operations/CheckIfPhoneNumberIsOptedOut");
var CheckIfPhoneNumberIsOptedOutCommand = /** @class */ (function () {
    function CheckIfPhoneNumberIsOptedOutCommand(input) {
        this.input = input;
        this.model = CheckIfPhoneNumberIsOptedOut_1.CheckIfPhoneNumberIsOptedOut;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CheckIfPhoneNumberIsOptedOutCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CheckIfPhoneNumberIsOptedOutCommand;
}());
exports.CheckIfPhoneNumberIsOptedOutCommand = CheckIfPhoneNumberIsOptedOutCommand;
//# sourceMappingURL=CheckIfPhoneNumberIsOptedOutCommand.js.map