"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteEndpoint_1 = require("../model/operations/DeleteEndpoint");
var DeleteEndpointCommand = /** @class */ (function () {
    function DeleteEndpointCommand(input) {
        this.input = input;
        this.model = DeleteEndpoint_1.DeleteEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteEndpointCommand;
}());
exports.DeleteEndpointCommand = DeleteEndpointCommand;
//# sourceMappingURL=DeleteEndpointCommand.js.map