"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteTopic_1 = require("../model/operations/DeleteTopic");
var DeleteTopicCommand = /** @class */ (function () {
    function DeleteTopicCommand(input) {
        this.input = input;
        this.model = DeleteTopic_1.DeleteTopic;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteTopicCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteTopicCommand;
}());
exports.DeleteTopicCommand = DeleteTopicCommand;
//# sourceMappingURL=DeleteTopicCommand.js.map