"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTopics_1 = require("../model/operations/ListTopics");
var ListTopicsCommand = /** @class */ (function () {
    function ListTopicsCommand(input) {
        this.input = input;
        this.model = ListTopics_1.ListTopics;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTopicsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTopicsCommand;
}());
exports.ListTopicsCommand = ListTopicsCommand;
//# sourceMappingURL=ListTopicsCommand.js.map