"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var Unsubscribe_1 = require("../model/operations/Unsubscribe");
var UnsubscribeCommand = /** @class */ (function () {
    function UnsubscribeCommand(input) {
        this.input = input;
        this.model = Unsubscribe_1.Unsubscribe;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UnsubscribeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UnsubscribeCommand;
}());
exports.UnsubscribeCommand = UnsubscribeCommand;
//# sourceMappingURL=UnsubscribeCommand.js.map