"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateTopicInput_1 = require("../shapes/CreateTopicInput");
var CreateTopicOutput_1 = require("../shapes/CreateTopicOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var TopicLimitExceededException_1 = require("../shapes/TopicLimitExceededException");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var InvalidSecurityException_1 = require("../shapes/InvalidSecurityException");
var TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
var StaleTagException_1 = require("../shapes/StaleTagException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var ConcurrentAccessException_1 = require("../shapes/ConcurrentAccessException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateTopic = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateTopic",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateTopicInput_1.CreateTopicInput
    },
    output: {
        shape: CreateTopicOutput_1.CreateTopicOutput,
        resultWrapper: "CreateTopicResult"
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: TopicLimitExceededException_1.TopicLimitExceededException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: InvalidSecurityException_1.InvalidSecurityException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: StaleTagException_1.StaleTagException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        },
        {
            shape: ConcurrentAccessException_1.ConcurrentAccessException
        }
    ]
};
//# sourceMappingURL=CreateTopic.js.map