"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagResourceInput_1 = require("../shapes/UntagResourceInput");
var UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var TagLimitExceededException_1 = require("../shapes/TagLimitExceededException");
var StaleTagException_1 = require("../shapes/StaleTagException");
var TagPolicyException_1 = require("../shapes/TagPolicyException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var AuthorizationErrorException_1 = require("../shapes/AuthorizationErrorException");
var ConcurrentAccessException_1 = require("../shapes/ConcurrentAccessException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput,
        resultWrapper: "UntagResourceResult"
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TagLimitExceededException_1.TagLimitExceededException
        },
        {
            shape: StaleTagException_1.StaleTagException
        },
        {
            shape: TagPolicyException_1.TagPolicyException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: AuthorizationErrorException_1.AuthorizationErrorException
        },
        {
            shape: ConcurrentAccessException_1.ConcurrentAccessException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map